class UniqueName:
    """Base class for unique name checking"""

    _names = list()

    def __init__(self, name):
        assert name not in self._names, 'Name "{}" already used'.format(name)
        self.name = name
        self._names.append(self.name)


class EntityDescriptor(UniqueName):
    """Base class for all entities"""

    def __init__(self, firmware_config, name):
        UniqueName.__init__(self, name)
        self.firmware_config = firmware_config






